Package org.jbpm.casemgmt.impl.event

## Class CaseConfigurationDeploymentListener

- java.lang.Object
- - org.jbpm.casemgmt.impl.event.CaseConfigurationDeploymentListener

- All Implemented Interfaces:
    `DeploymentEventListener`

      public class CaseConfigurationDeploymentListener
      extends Object
      implements DeploymentEventListener

  Configuration listener that must be attached to DeploymentService so it can react to deployed units so it can register case event listeners per deployment unit.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CaseConfigurationDeploymentListener​(org.kie.internal.identity.IdentityProvider identityProvider)` |
    `CaseConfigurationDeploymentListener​(org.kie.internal.identity.IdentityProvider identityProvider, TransactionalCommandService transactionalCommandService)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected CaseEventListener` | `getCaseAuditEventListener​(org.kie.internal.runtime.manager.InternalRuntimeManager manager, TransactionalCommandService commandService)` |
    `protected List<CaseEventListener>` | `getEventListenerFromDescriptor​(org.kie.internal.runtime.manager.InternalRuntimeManager runtimeManager)` |
    `protected Map<String,​Object>` | `getParametersMap​(org.kie.internal.runtime.manager.InternalRuntimeManager runtimeManager)` |
    `void` | `onActivate​(DeploymentEvent event)` |
    `void` | `onDeactivate​(DeploymentEvent event)` |
    `void` | `onDeploy​(DeploymentEvent event)` |
    `void` | `onUnDeploy​(DeploymentEvent event)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CaseConfigurationDeploymentListener

          public CaseConfigurationDeploymentListener​(org.kie.internal.identity.IdentityProvider identityProvider)

    - #### CaseConfigurationDeploymentListener

          public CaseConfigurationDeploymentListener​(org.kie.internal.identity.IdentityProvider identityProvider,
                                                     TransactionalCommandService transactionalCommandService)

  - ### Method Detail

    - #### onDeploy

          public void onDeploy​(DeploymentEvent event)

      Specified by:
        `onDeploy` in interface `DeploymentEventListener`

    - #### onUnDeploy

          public void onUnDeploy​(DeploymentEvent event)

      Specified by:
        `onUnDeploy` in interface `DeploymentEventListener`

    - #### onActivate

          public void onActivate​(DeploymentEvent event)

      Specified by:
        `onActivate` in interface `DeploymentEventListener`

    - #### onDeactivate

          public void onDeactivate​(DeploymentEvent event)

      Specified by:
        `onDeactivate` in interface `DeploymentEventListener`

    - #### getEventListenerFromDescriptor

          protected List<CaseEventListener> getEventListenerFromDescriptor​(org.kie.internal.runtime.manager.InternalRuntimeManager runtimeManager)

    - #### getParametersMap

          protected Map<String,​Object> getParametersMap​(org.kie.internal.runtime.manager.InternalRuntimeManager runtimeManager)

    - #### getCaseAuditEventListener

          protected CaseEventListener getCaseAuditEventListener​(org.kie.internal.runtime.manager.InternalRuntimeManager manager,
                                                                TransactionalCommandService commandService)